Skip to main content
GET
/
accounts
/
{account_id}
Get Account Details
curl --request GET \
  --url https://api.meow.com/v1/accounts/{account_id} \
  --header 'x-api-key: <api-key>'
{
  "depositAccount": {
    "accountId": "<string>",
    "accountType": "BROKERAGEPRODUCT",
    "productName": "<string>",
    "status": "CLOSED",
    "currency": {
      "currencyCode": "AED"
    },
    "currentBalance": 123,
    "availableBalance": 123,
    "accountNumberDisplay": 4321,
    "nickname": "<string>",
    "bankProductType": "<string>"
  }
}

Authorizations

x-api-key
string
header
required

Your Meow API key for authentication

Headers

x-entity-id
string<uuid>

Optional entity ID for scoped access to entity-specific data

Path Parameters

account_id
string
required

The ID of the account.

Response

Successful Response

Account with balance details

depositAccount
DepositAccount · object
required

Deposit account with balances